%define _prefix /scisoft
%define debug_package %{nil}

# Need to disable the default post install scripts, because they break the built
# ds9 binary. These are anyway self contained binaries, so leave them as is.
%define __os_install_post %{nil}

Name:           scisoft-ds9
Version:        8.2.1
Release:        1%{?dist}
Summary:        Astronomical Data Visualization Application
Distribution:   Scisoft
Group:          Applications/Scientific
License:        GPLv2+
URL:            http://hea-www.harvard.edu/RD/ds9/
Source0:        http://ds9.si.edu/archive/source/ds9.%{version}.tar.gz


BuildRequires: automake
BuildRequires: autoconf
BuildRequires: libX11-devel
BuildRequires: zlib-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libXft-devel
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: make
BuildRequires: gcc-c++


%description
SAOImage DS9 is an astronomical imaging and data visualization application.
DS9 supports FITS images and binary tables, multiple frame buffers, region
manipulation, and many scale algorithms and colormaps. It provides for easy
communication with external analysis tasks and is highly configurable and
extensible.

%prep


%setup -q -n SAOImageDS9



%build
./unix/configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
install -m 755 -d %{buildroot}%{_docdir}
install -m 755 -d %{buildroot}%{_bindir}
cd bin
for N in ds9 xpa* ; do
    install -m 755 $N %{buildroot}%{_bindir}/$N
done

%files
%dir %{_prefix}
%dir %{_datadir}
%dir %{_docdir}
%docdir %{_docdir}

%{_bindir}

%defattr(-,root,root,-)

%changelog
* Wed Feb 14 2018 Artur Szostak <aszostak@partner.eso.org> 7.5-2
- Fixing missing directory declarations in the files section to properly cleanup
  after uninstallation.

* Thu Feb 8 2018 Artur Szostak <aszostak@partner.eso.org> 7.5-1
- Updating to build from source and using latest stable version.

* Fri Oct 18 2013 Carlos Guirao
- Integration for scisoft 8
